//const { __, _x, _n, _nx } = wp.i18n;
var confirmar = nichecreator_translations.confirmar;
var cancelar = nichecreator_translations.cancelar;
var cabecera = nichecreator_translations.confirmacion_necesaria;
var contenido = nichecreator_translations.contenido;
var contenidoia = nichecreator_translations.contenidoia;
var contenidokws = nichecreator_translations.contenidokws;
var contenidocanibal = nichecreator_translations.contenidocanibal;
var contenidolimpiarkws = nichecreator_translations.contenidolimpiarkws;
var contenidoborrarduplis = nichecreator_translations.contenidoborrarduplis;
var contenidotabla = nichecreator_translations.contenidotabla;
var contenidoarreglos = nichecreator_translations.contenidoarreglos;
var contenidotablakw = nichecreator_translations.contenidotablakw;
var contenidocats = nichecreator_translations.contenidocats;
var contenidoborrado = nichecreator_translations.contenidoborrado;
var contenidoborradofichas = nichecreator_translations.contenidoborradofichas;
var contenidoborrarduplicados = nichecreator_translations.contenidoborrarduplicados;
var contenidoborradocats = nichecreator_translations.contenidoborradocats;
var contenidoimagenes = nichecreator_translations.contenidoimagenes;
var contenidoimagenesia = nichecreator_translations.contenidoimagenesia;
var contenidoimagenescat = nichecreator_translations.contenidoimagenescat;
var contenidoasignarpost = nichecreator_translations.contenidoasignarpost;
var contenidoescrapeos = nichecreator_translations.contenidoescrapeos;
var contenidosustitucion = nichecreator_translations.contenidosustitucion;
var contenidoetiquetas = nichecreator_translations.contenidoetiquetas;
var contenidocategorias = nichecreator_translations.contenidocategorias;
var contenidogeografico = nichecreator_translations.contenidogeografico;

function mostrar_dialog()
{
//event.preventDefault();
//////
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenido+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#clonarplantilla").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
} 

function mostrar_dialogia()
{
//event.preventDefault();
var cabecera = __('Confirmación necesaria','nichecreator');
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoia+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#generarcontenido").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
} 


function mostrar_buscarkws()
{
//event.preventDefault();
var cabecera = __('Confirmación necesaria','nichecreator');
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidokws+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#ads").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
} 


function mostrar_dialogcanibal()
{
//event.preventDefault();
var cabecera = __('Confirmación necesaria','nichecreator');
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidocanibal+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#canibal").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
} 
 
function mostrar_dialoglimpiarkws()
{
//event.preventDefault();
var cabecera = __('Confirmación necesaria','nichecreator');
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidolimpiarkws+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#borradokws").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
} 

function mostrar_dialogborrarduplis()
{
//event.preventDefault();
var cabecera = __('Confirmación necesaria','nichecreator');
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoborrarduplis+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#borrarkwduplicadas").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
} 

function mostrar_dialogtabla()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidotabla+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#campos").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
} 

function mostrar_dialogtablakw()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidotablakw+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#camposkw").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
} 

function mostrar_dialogcats()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidocats+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		//jQuery("#settingscat").submit();
		jQuery("#settingscat")[0].requestSubmit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_dialogborrado()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoborrado+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#herramientas").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_dialogborradoescrapeo()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoborrado+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#escrapeos").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
 return false;
}


function mostrar_dialogborradofichas()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoborradofichas+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#borradofichas").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
 return false;
}

function mostrar_arreglo()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoarreglos+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#direccionia").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_borrarduplicados()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoborrarduplicados+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#duplicados").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}


function mostrar_dialogborradocats()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoborradocats+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#herramientascats").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_dialogimagenes()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoimagenes+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#imagenes").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_dialogimagenesia()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoimagenesia+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#imagenesia").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_dialogimagenescat()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoimagenescat+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#imagenescat").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}



function mostrar_dialogasignarpost()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoasignarpost+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#posttocats").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_dialogescrapeos()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoescrapeos+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#escrapear").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_sustitucion()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidosustitucion+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#sustitucionform").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_etiquetas()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidoetiquetas+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#etiqueta").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_categorias()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidocategorias+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#categoria").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}

function mostrar_dialoggeograficos()
{
//event.preventDefault();
jQuery("body").append("<div id='dialog' title='"+cabecera+"'>"+contenidogeografico+"</div>");
jQuery("#dialog").dialog({
	  modal: true,
      buttons : {
        [confirmar] : function() {
		jQuery("#datosgeograficos").submit();
        jQuery(this).dialog("close");
  	 },
        [cancelar] : function() {
//			event.preventDefault();
          jQuery(this).dialog("close");
        }
      }
    });
    return false;
}
